Package com.datecs.fiscalprinter.SDK.model.UserLayerV2

# Class cmdReceipt

java.lang.Object
com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice
com.datecs.fiscalprinter.SDK.model.UserLayerV2.cmdReceipt

Direct Known Subclasses:
  `cmdReceipt.FiscalReceipt`, `cmdReceipt.FiscalReceipt.InvoiceClientInfo`, `cmdReceipt.FiscalSale`, `cmdReceipt.FiscalTransaction`, `cmdReceipt.NonFiscalReceipt`

    public class cmdReceipt
    extends DatecsFiscalDevice

Primary class for printing of fiscal and non-fiscal receipt.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `cmdReceipt.AlignmentType` |
  `static class` | `cmdReceipt.BarcdeType` | Printing of barcode
  `static class` | `cmdReceipt.FiscalReceipt` | Fiscal receipt
  `static class` | `cmdReceipt.FiscalSale` | Class of the sale process and the transactions associated with it
  `static class` | `cmdReceipt.FiscalTransaction` | Class hold Status of the fiscal receipt
  `static class` | `cmdReceipt.NonFiscalReceipt` | Class handles a Non-fiscal receipt
  `static class` | `cmdReceipt.PaymentType` |
  `static class` | `cmdReceipt.SeparatingLine` | Type - Type of the separating line.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `cmdReceipt()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.Double[]` | `cashInCashOut​(java.lang.Double dAmount, boolean foreignCurrency)` |
  `void` | `drawerKickOut()` | Drawer opening
  `boolean` | `isStornoReceiptOpen()` |
  `void` | `paperCutting()` | Paper cutting
  `void` | `paperFeed​(int linesToFeed)` | Paper feed
  `void` | `printBarcode​(cmdReceipt.BarcdeType bcType, java.lang.String bcData, int bcQRSize)` |
  `void` | `printFreeText​(java.lang.String text, boolean Bold, boolean Italic, boolean DoubleH, boolean Underline, cmdReceipt.AlignmentType alignment)` | Printing of a free fiscal text with text attributes

  ### Methods inherited from class com.datecs.fiscalprinter.SDK.model.DatecsFiscalDevice

  `checkErrorCode, close, getConnectedECRV1, getConnectedModelV2, getConnectedPrinterV1, getCountryCode, getMaxDepartments, getMaxStockGroup, isCheckLastError, isConnectedDeviceV2, isConnectedECR, isConnectedPrinter, isEditItemPrice, isEditItemQTY, isFontSupported, isPaperCuttingDevice, setCheckLastError, setConnectedModel, setConnectedModel, setConnectedModel, setCountryCode`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### cmdReceipt

    public cmdReceipt()

- ## Method Details

  - ### isStornoReceiptOpen

    public boolean isStornoReceiptOpen() throws java.lang.Exception
    Throws:
      `java.lang.Exception`

  - ### printFreeText

    public void printFreeText​(java.lang.String text, boolean Bold, boolean Italic, boolean DoubleH, boolean Underline, cmdReceipt.AlignmentType alignment) throws java.lang.Exception
    Printing of a free fiscal text with text attributes
    Parameters:
      `text` - text of 0...XX symbols, XX = PrintColumns-2;
      `Bold` -
      `Italic` -
      `DoubleH` -
      `Underline` -
      `alignment` -
    Throws:
      `java.lang.Exception`

  - ### paperFeed

    public void paperFeed​(int linesToFeed) throws java.lang.Exception
    Paper feed
    Parameters:
      `linesToFeed` - - Number of lines;
    Throws:
      `FiscalException`
      `java.io.IOException`
      `java.lang.Exception`

  - ### paperCutting

    public void paperCutting() throws java.lang.Exception
    Paper cutting
    Throws:
      `java.lang.Exception`

  - ### cashInCashOut

    public java.lang.Double[] cashInCashOut​(java.lang.Double dAmount, boolean foreignCurrency) throws java.lang.Exception
    Parameters:
      `dAmount` - the sum ( 0.00...9999999.99 or 0...999999999 depending dec point position ); If Amount=0, the only Answer is returned, and receipt does not print.
      `foreignCurrency` - if true operation in foreign currency
    Returns:
      - Double array 0-"cashSum" 1-"cashIn" 2-"cashOut"
    Throws:
      `java.lang.Exception`

  - ### printBarcode

    public void printBarcode​(cmdReceipt.BarcdeType bcType, java.lang.String bcData, int bcQRSize) throws java.lang.Exception
    Throws:
      `java.lang.Exception`

  - ### drawerKickOut

    public void drawerKickOut() throws java.lang.Exception
    Drawer opening
    Throws:
      `java.lang.Exception`